Bug 1848473 - Improve logging for machine config daemon content mismatch
Summary: Improve logging for machine config daemon content mismatch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.5.0
Assignee: Kirsten Garrison
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1810680
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-18 12:28 UTC by OpenShift BugZilla Robot
Modified: 2020-07-13 17:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:44:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1845 None closed [release-4.5] Bug 1848473: make file diffs more user friendly 2020-06-23 21:07:55 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:44:40 UTC

Comment 5 Michael Nguyen 2020-06-25 15:38:35 UTC
I'm getting bytes.Join in the output of the log which I think is inadvertent.


$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.nightly-2020-06-24-055959   True        False         17m     Cluster version is 4.5.0-0.nightly-2020-06-24-055959

78d021bdb26b
E0625 15:37:16.828432   49646 daemon.go:1413] content mismatch for file /etc/test (-want +got):
  bytes.Join({
+ 	"CHANGED",
  	"server foo.example.net maxdelay 0.4 offline",
  	"server bar.example.net maxdelay 0.4 offline",
  	... // 2 identical lines
  }, "\n")

Comment 7 errata-xmlrpc 2020-07-13 17:44:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.